Service providing access to Fundraising resources and features
Fundraising
/- Returns a list of records with the specified contact_id
Creates a new pledge record that does not already exist.
Execute Batch Operations
Returns a list of records with the specified donor_id
Generates an order from a fundraising pledge
Returns a list of records with the specified order_id
Returns a list of records with the specified organization_id
Sends out a preview of the pledge notification email
Preview Pledge Receipt
Resend Receipt
Resend Receipt
Resend Receipt
Searches for pledges using predefined parameters
Returns a pledge from the system by its ID.
Returns a pledge from the system by its ID.
Partially updates a pledge with the specified ID.
Updates a pledge with the specified ID.
Returns a list of records...
Fundraising (v1-2025-04-18)
Download OpenAPI description
Languages
Servers
Mock server
https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1
https://fundraising.api.rhythmsoftware.com
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/batch
- https://fundraising.api.rhythmsoftware.com/pledges/{tenantId}/batch
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/batch' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"operations": [
{
"id": null,
"object": {},
"operation": "create",
"patch_directives": {
"0": {
"op": "add",
"path": "string",
"value": "string"
}
}
}
]
}'Response
application/json
{ "error_count": 0.1, "results": [ { … } ], "success_count": 0.1 }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/contact/{contact_id}
- https://fundraising.api.rhythmsoftware.com/pledges/{tenantId}/contact/{contact_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/contact/{contact_id}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/donor/{donor_id}
- https://fundraising.api.rhythmsoftware.com/pledges/{tenantId}/donor/{donor_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/donor/{donor_id}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }